Search Results for

Show / Hide Table of Contents

# Class Progress

##### Inheritance

System.Object
Scenario
Progress

##### Implements

System.IDisposable

##### Inherited Members

Scenario.Init(Toplevel, ColorScheme)
Scenario.GetName()
Scenario.GetDescription()
Scenario.GetCategories()
Scenario.ToString()
Scenario.Run()
Scenario.RequestStop()
Scenario.GetDerivedClasses<T>()
Scenario.Dispose()
Scenario.Top
Scenario.Win

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    [Scenario.ScenarioMetadata("Progress", "Shows off ProgressBar and Threading.")]
    [Scenario.ScenarioCategory("Controls")]
    [Scenario.ScenarioCategory("Threading")]
    [Scenario.ScenarioCategory("ProgressBar")]
    public class Progress : Scenario

### Constructors

#### Progress()

##### Declaration

    public Progress()

### Methods

#### Dispose(Boolean)

##### Declaration

    protected override void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing |

##### Overrides

Scenario.Dispose(Boolean)

#### Setup()

##### Declaration

    public override void Setup()

##### Overrides

Scenario.Setup()

### Implements

System.IDisposable